Apply Manual Price Adjustments on Large Volume of Sales Order Lines Across Orders
Oracle Order Management Fusion Cloud provides the ability to apply manual price adjustments on large volume of sales order lines using a REST resource.
You can use a REST resource to request for applying manual price adjustments on the charges of multiple sales order lines across orders and get the status of the request that's submitted to apply manual price adjustment. For example, a company sells subscriptions for an internet package. In order to match the competitor price, the company needs to wave-off the activation fees and offer a discount on the monthly data charge on all the open order lines of internet subscription package.
Here's a typical application processing flow for the scenario:
- In this example, you want to apply manual price adjustment on the charges of all the fulfillment lines for the item Infinity Phone Subscription with the request ship date as 10/20/2025 for both start and end range.
- You send a request payload using Sales Order Action Requests REST resource to apply manual price adjustment on the charges with the filter criteria of product number and request ship date.
- The response payload includes details of the batch process that's submitted to apply manual price adjustment on the charges of all the fulfillment lines matching with the filter criteria. As this is an offline process, so the immediate response is always shown as the PRE_PROCESSING.
- You can get the summarized status of the apply manual price adjustment request by calling the GET service of the Sales Order Action Requests REST resource for the request.
- The GET service of the Sales Order Action Requests REST resource for the request also provides the unique request identifiers that are spawned for each Fulfill Line ID matching the filter criteria. You can get the status of manual price adjustment application on the charges on the line and error or warning details if any for each line using the request identifier of each Fulfill Line ID.
In the example, there are five order lines or Fulfill Line IDs that match the search criteria for applying manual price adjustment. All the five result in success.
Create One Sales Action Request
Use this resource URL format.
POST
curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/salesOrderActionRequests"
Example Request
Here's an example of the request body in JSON format. You plan to submit a sales order action request for the fulfillment lines matching with the filter criteria Product Number "Infinity Phone Subscription" and Request Ship Date "2025-10-20" for both the start and end range. Specify ActionCode ORA_FOM_APPLY_MANUAL_PRICE_ADJ and the manual price adjustment details for the ChargeDefinition "Activation Fee" and "Recurring Charge" to indicate that the sales order action request is to apply manual price adjustment on these charges on all the fulfillment lines matching with the filter criteria. Specify AdjustmentType, AdjustmentAmount and Reason for the "Activation Fee" to override its price to 0. Similarly, specify AdjustmentType, AdjustmentElementBasisName, AdjustmentAmount, EffectivityType, EffectiveNumberOfPeriods and Reason for the "Recurring Charge" with PricePeriodicity "MONTH" to offer 10% discount on the list price of the monthly recurring charge for the first three periods. SequenceNumber determines the sequence in which the adjustment gets applied to the charges and SourceManualPriceAdjustmentId is the unique value assigned to the manual price adjustment by the source system. Comments is an optional attribute, so you can specify it if needed. The FulfillLineId attribute carries the unique identifier of the lines for applying manual price adjustment on its charges.
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"FilterCriteria": "{\"query\":{\"filters\":[{\"name\":\"ProductNumber\",\"terms\":[\”Infinity Phone Subscription\"]},{\"name\":\"RequestShipDate\",\"rangeStart\":\"2025-10-20\",\"rangeEnd\":\"2025-10-20\"}],\"displayFields\":[\"FulfillLineId\",\"HeaderId\"]}}",
"manualPriceAdjustments": [
{
"SequenceNumber": 10,
"ChargeDefinition": "Activation Fee",
"AdjustmentType": "Price override",
"AdjustmentAmount": 0,
"Reason": "Price match",
"Comments": "Match Competitor Price",
"SourceManualPriceAdjustmentId": 201
},
{
"SequenceNumber": 20,
"ChargeDefinition": "Recurring Charge",
"PricePeriodicity": "MONTH",
"AdjustmentType": "Discount percent",
"AdjustmentElementBasisName": "List Price",
"AdjustmentAmount": 10,
"EffectivityType": "First periods",
"EffectiveNumberOfPeriods": 3,
"Reason": "Price match",
"Comments": "Match Competitor Price",
"SourceManualPriceAdjustmentId": 202
}
]
}
Example Response
- You can see one master request with TotalRecords 5 indicating that five fulfillment lines matched with the filter criteria provided in the payload. There would be five child action requests for these fulfillment lines to apply manual price adjustment on its charges. The master ActionRequestId is 300100669862137.
- The manual price adjustments are applied through a batch process, so the
response shows StatusCode as PRE_PROCESSING and ProcessStatus as IN_QUEUE as the
batch process is yet to start.
Note:
- TotalRecords: 5
- TotalFailed: 0
- TotalPassed: 0
Here's an example of the response body in JSON format.
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862137,
"ActionRequestTrackingId": 328722,
"CreatedBy": "SCMOPERATIONS",
"CreationDate": "2025-10-30T17:49:29.001+00:00",
"FulfillLineId": null,
"HeaderId": -1,
"LastUpdateDate": "2025-10-30T17:49:29.866+00:00",
"MassActionFlag": true,
"OutcomeCode": null,
"StatusCode": "PRE_PROCESSING",
"Action": null,
"ProcessId": 339568,
"TotalRecords": 5,
"TotalFailed": 0,
"TotalPassed": 0,
"ProcessStatus": "IN_QUEUE",
"FilterCriteria": "{\"query\":{\"filters\":[{\"name\":\"ProductNumber\",\"terms\":[\”Infinity Phone Subscription\"]},{\"name\":\"RequestShipDate\",\"rangeStart\":\"2025-10-20\",\"rangeEnd\":\"2025-10-20\"}],\"displayFields\":[\"FulfillLineId\",\"HeaderId\"]}}",
"Comments": null,
"CancelReasonCode": null,
"HoldCode": null,
"ReleaseReasonCode": null,
"RequireReasonCodeFlag": null,
"OverrideScheduleDateFlag": null,
"ShippingModeCode": null,
"SupplierSiteId": null,
"SupplierId": null,
"RequestedFulfillmentOrganizationId": null,
"ShippingCarrierId": null,
"ShippingServiceLevelCode": null,
"ScheduleShipDate": null,
"ScheduleArrivalDate": null,
"DemandClassCode": null,
"OrderRevisionReasonCode": null,
"OrderRevisionComments": null,
"RequestedFulfillmentOrganizationCode": null,
"RequestedFulfillmentOrganizationName": null,
"DemandClass": null,
"CustomerPONumber": null,
"ShipmentPriorityCode": null,
"SalespersonId": null,
"ShippingInstructions": null,
"PaymentTermsCode": null,
"TransactionLineTypeCode": null,
"FreightTermsCode": null,
"FOBPointCode": null,
"PackingInstructions": null,
"EnforceSingleShipmentFlag": null,
"CancelBackordersFlag": null,
"RequestTypeCode": null,
"CustomerPOLineNumber": null,
"ShipSetName": null,
"RequestedDate": null,
"EarliestAcceptableDate": null,
"LatestAcceptableDate": null,
"ShippingCarrier": null,
"SupplierName": null,
"SupplierSiteName": null,
"ShippingServiceLevel": null,
"ShippingMode": null,
"AdditionalInformation": null,
"ShipmentPriority": null,
"FreightTerms": null,
"RequestType": null,
"FOBPoint": null,
"PaymentTerms": null,
"Subinventory": null,
"SubinventoryCode": null,
"ShipToPartyId": null,
"ShipToPartySiteId": null,
"ShipToContactId": null,
"ShipToContactPointId": null,
"BillToCustomerId": null,
"BillToAccountSiteUseId": null,
"BillToContactId": null,
"BillToContactPointId": null,
"BillToAccountNumber": null,
"ReservationPriority": null,
"ShipToPartyName": null,
"ShipToPartyNumber": null,
"ShipToAddress1": null,
"ShipToAddress2": null,
"ShipToAddress3": null,
"ShipToAddress4": null,
"ShipToCity": null,
"ShipToState": null,
"ShipToPostalCode": null,
"ShipToCounty": null,
"ShipToProvince": null,
"ShipToCountry": null,
"ShipToPartyContactName": null,
"ShipToPartyContactNumber": null,
"BillToCustomerName": null,
"BillToAccountContactName": null,
"BillToAccountContactNumber": null,
"BillToAddress1": null,
"BillToAddress2": null,
"BillToAddress3": null,
"BillToAddress4": null,
"BillToCity": null,
"BillToState": null,
"BillToCounty": null,
"BillToProvince": null,
"BillToPostalCode": null,
"BillToCountry": null,
"AccountingRuleCode": null,
"AccountingRule": null,
"InvoicingRuleCode": null,
"InvoicingRule": null,
"SubstitutionAllowedFlag": null,
"TaxClassificationCode": null,
"TaxClassification": null,
"TransactionBusinessCategory": null,
"TransactionBusinessCategoryName": null,
"ThirdPartyTaxRegistration": null,
"ThirdPartyTaxRegistrationNumber": null,
"ContractStartDateTime": null,
"ContractEndDateTime": null,
"FinalDischargeLocationId": null,
"ProductFiscalCategoryId": null,
"ProductFiscalCategory": null,
"IntendedUseClassificationId": null,
"IntendedUseClassification": null,
"BillingTransactionTypeId": null,
"BillingTransactionTypeName": null,
"ServiceDuration": null,
"ServiceDurationPeriodCode": null,
"ServiceDurationPeriodName": null,
"FinalDischargeLocationAddressLine1": null,
"FinalDischargeLocationAddressLine2": null,
"FinalDischargeLocationAddressLine3": null,
"FinalDischargeLocationAddressLine4": null,
"FinalDischargeLocationAddressCity": null,
"FinalDischargeLocationAddressPostalCode": null,
"FinalDischargeLocationAddressState": null,
"FinalDischargeLocationAddressProvince": null,
"FinalDischargeLocationAddressCounty": null,
"FinalDischargeLocationAddressCountry": null,
"InventoryItemId": null,
"SubstituteReasonCode": null,
"ReservationPriorityRuleId": null,
"ReservationPriorityRuleName": null,
"BillingSetName": null,
"BusinessUnitId": null,
"WorkflowCode": null,
"manualPriceAdjustments": [
{
"AdjustmentAmount": null,
"AdjustmentElementBasis": null,
"AdjustmentElementBasisName": null,
"AdjustmentType": null,
"AdjustmentTypeCode": null,
"ChargeDefinition": null,
"ChargeDefinitionCode": null,
"Comments": null,
"PricePeriodicity": null,
"PricePeriodicityCode": null,
"Reason": null,
"ReasonCode": null,
"SequenceNumber": null,
"SourceManualPriceAdjustmentId": null,
"UsageUOMCode": null,
"EffectivityTypeCode": null,
"EffectivityType": null,
"EffectivePeriodFrom": null,
"EffectivePeriodUntil": null,
"EffectiveNumberOfPeriods": null,
"UsageUOM": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/manualPriceAdjustments/00030000000EACED00057708000110F0A1D2F0F9FFFFFFFF0000001E4F52415F464F4D5F4150504C595F4D414E55414C5F50524943455F41444A",
"name": "manualPriceAdjustments",
"kind": "item"
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/manualPriceAdjustments/00030000000EACED00057708000110F0A1D2F0F9FFFFFFFF0000001E4F52415F464F4D5F4150504C595F4D414E55414C5F50524943455F41444A",
"name": "manualPriceAdjustments",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
}
]
}
],
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/manualPriceAdjustments",
"name": "manualPriceAdjustments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests",
"name": "requests",
"kind": "collection"
}
]
}
GET One Sales Order Action Request
Use this resource URL format.
GET
curl -u username:password "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/ActionRequestId"
For example:
curl -u username:password "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137"
Example Response
You can review the summarized status of the apply manual price adjustment request.
StatusCode indicates the status of the apply manual price adjustment request for all the Fulfill Line IDs matching with the filter criteria provided in the payload. It can be COMPLETE, PRE_PROCESSING, or PROCESSING. Unless the StatusCode is COMPLETE, request is still being processed. Keep checking the status until the StatusCode is marked as COMPLETE. OutcomeCode indicates the outcome of the apply manual price adjustment request. It's set to SUCCESS, if manual price adjustment is applied on all the lines successfully, otherwise it's set to ERROR. In this example, notice that StatusCode is COMPLETE and OutcomeCode is SUCCESS. This means the apply manual price adjustment request has been processed for all the lines, and applied successfully.
Note:
- TotalRecords: 5
- TotalFailed: 0
- TotalPassed: 5
ProcessStatus indicates the combined status of StatusCode and OutcomeCode. COMPLETED indicates that the apply manual price adjustment request is processed for all the lines with no errors.
Here's an example of the response body in JSON format.
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862137,
"ActionRequestTrackingId": 328722,
"CreatedBy": "SCMOPERATIONS",
"CreationDate": "2025-10-30T17:49:29.001+00:00",
"FulfillLineId": null,
"HeaderId": -1,
"LastUpdateDate": "2025-10-30T17:49:29.866+00:00",
"MassActionFlag": true,
"OutcomeCode": "SUCCESS",
"StatusCode": "COMPLETE",
"Action": "Apply Manual Price Adjustment",
"ProcessId": 339568,
"TotalRecords": 5,
"TotalFailed": 0,
"TotalPassed": 5,
"ProcessStatus": "COMPLETED",
"FilterCriteria": "{\"query\":{\"filters\":[{\"name\":\"ProductNumber\",\"terms\":[\”Infinity Phone Subscription\"]},{\"name\":\"RequestShipDate\",\"rangeStart\":\"2025-10-20\",\"rangeEnd\":\"2025-10-20\"}],\"displayFields\":[\"FulfillLineId\",\"HeaderId\"]}}",
"Comments": null,
"CancelReasonCode": null,
"HoldCode": null,
"ReleaseReasonCode": null,
"RequireReasonCodeFlag": null,
"OverrideScheduleDateFlag": null,
"ShippingModeCode": null,
"SupplierSiteId": null,
"SupplierId": null,
"RequestedFulfillmentOrganizationId": null,
"ShippingCarrierId": null,
"ShippingServiceLevelCode": null,
"ScheduleShipDate": null,
"ScheduleArrivalDate": null,
"DemandClassCode": null,
"OrderRevisionReasonCode": null,
"OrderRevisionComments": null,
"RequestedFulfillmentOrganizationCode": null,
"RequestedFulfillmentOrganizationName": null,
"DemandClass": null,
"CustomerPONumber": null,
"ShipmentPriorityCode": null,
"SalespersonId": null,
"ShippingInstructions": null,
"PaymentTermsCode": null,
"TransactionLineTypeCode": null,
"FreightTermsCode": null,
"FOBPointCode": null,
"PackingInstructions": null,
"EnforceSingleShipmentFlag": null,
"CancelBackordersFlag": null,
"RequestTypeCode": null,
"CustomerPOLineNumber": null,
"ShipSetName": null,
"RequestedDate": null,
"EarliestAcceptableDate": null,
"LatestAcceptableDate": null,
"ShippingCarrier": null,
"SupplierName": null,
"SupplierSiteName": null,
"ShippingServiceLevel": null,
"ShippingMode": null,
"AdditionalInformation": null,
"ShipmentPriority": null,
"FreightTerms": null,
"RequestType": null,
"FOBPoint": null,
"PaymentTerms": null,
"Subinventory": null,
"SubinventoryCode": null,
"ShipToPartyId": null,
"ShipToPartySiteId": null,
"ShipToContactId": null,
"ShipToContactPointId": null,
"BillToCustomerId": null,
"BillToAccountSiteUseId": null,
"BillToContactId": null,
"BillToContactPointId": null,
"BillToAccountNumber": null,
"ReservationPriority": null,
"ShipToPartyName": null,
"ShipToPartyNumber": null,
"ShipToAddress1": null,
"ShipToAddress2": null,
"ShipToAddress3": null,
"ShipToAddress4": null,
"ShipToCity": null,
"ShipToState": null,
"ShipToPostalCode": null,
"ShipToCounty": null,
"ShipToProvince": null,
"ShipToCountry": null,
"ShipToPartyContactName": null,
"ShipToPartyContactNumber": null,
"BillToCustomerName": null,
"BillToAccountContactName": null,
"BillToAccountContactNumber": null,
"BillToAddress1": null,
"BillToAddress2": null,
"BillToAddress3": null,
"BillToAddress4": null,
"BillToCity": null,
"BillToState": null,
"BillToCounty": null,
"BillToProvince": null,
"BillToPostalCode": null,
"BillToCountry": null,
"AccountingRuleCode": null,
"AccountingRule": null,
"InvoicingRuleCode": null,
"InvoicingRule": null,
"SubstitutionAllowedFlag": null,
"TaxClassificationCode": null,
"TaxClassification": null,
"TransactionBusinessCategory": null,
"TransactionBusinessCategoryName": null,
"ThirdPartyTaxRegistration": null,
"ThirdPartyTaxRegistrationNumber": null,
"ContractStartDateTime": null,
"ContractEndDateTime": null,
"FinalDischargeLocationId": null,
"ProductFiscalCategoryId": null,
"ProductFiscalCategory": null,
"IntendedUseClassificationId": null,
"IntendedUseClassification": null,
"BillingTransactionTypeId": null,
"BillingTransactionTypeName": null,
"ServiceDuration": null,
"ServiceDurationPeriodCode": null,
"ServiceDurationPeriodName": null,
"FinalDischargeLocationAddressLine1": null,
"FinalDischargeLocationAddressLine2": null,
"FinalDischargeLocationAddressLine3": null,
"FinalDischargeLocationAddressLine4": null,
"FinalDischargeLocationAddressCity": null,
"FinalDischargeLocationAddressPostalCode": null,
"FinalDischargeLocationAddressState": null,
"FinalDischargeLocationAddressProvince": null,
"FinalDischargeLocationAddressCounty": null,
"FinalDischargeLocationAddressCountry": null,
"InventoryItemId": null,
"SubstituteReasonCode": null,
"ReservationPriorityRuleId": null,
"ReservationPriorityRuleName": null,
"BillingSetName": null,
"BusinessUnitId": null,
"WorkflowCode": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/manualPriceAdjustments",
"name": "manualPriceAdjustments",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests",
"name": "requests",
"kind": "collection"
}
]
}
GET All Requests
Use this resource URL format.
GET
curl -u username:password "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/ActionRequestId/child/requests"
For example:
curl -u username:password "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests"
Example Response
You can review the status of the apply manual price adjustment request for each line.
StatusCode indicates the status of the apply manual price adjustment request for each Fulfill Line ID. It can be COMPLETE, PRE_PROCESSING, or PROCESSING. Unless the StatusCode is COMPLETE, request is still being processed for the lines. Keep checking the status until the StatusCode is marked as COMPLETE. OutcomeCode indicates the outcome of the apply manual price adjustment request for each line. It's set to SUCCESS, if the manual price adjustment is applied successfully on the line, otherwise it's set to ERROR.
- You can see that for all the five FulfillLineId associated with respective child ActionRequestId, StatusCode = COMPLETE and OutcomeCode = SUCCESS, which means the manual price adjustment is successfully applied on these lines.
Here's an example of the response body in JSON format.
{
"items": [
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862141,
"ActionRequestTrackingId": 328722,
"FulfillLineId": 300100667446995,
"HeaderId": 300100667446938,
"MassActionFlag": false,
"OutcomeCode": "SUCCESS",
"StatusCode": "COMPLETE",
"SummaryMessageText": null,
"RequestStatus": "COMPLETED",
"SplitFromFlineId": null,
"FlineObjectVersionNumber": null,
"OrderedQuantity": null,
"FulfillOrgId": null,
"CarrierId": null,
"ShipClassOfService": null,
"ShipModeOfTransport": null,
"SupplierId": null,
"SupplierSiteId": null,
"DemandClassCode": null,
"FulfillInstanceId": null,
"DocumentTrackerId": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862141",
"name": "requests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862141",
"name": "requests",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862141/child/messageDetails",
"name": "messageDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862141/child/orderDetails",
"name": "orderDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862141/child/orderLineDetails",
"name": "orderLineDetails",
"kind": "collection"
}
]
},
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862142,
"ActionRequestTrackingId": 328722,
"FulfillLineId": 300100667409199,
"HeaderId": 300100667409099,
"MassActionFlag": false,
"OutcomeCode": "SUCCESS",
"StatusCode": "COMPLETE",
"SummaryMessageText": null,
"RequestStatus": "COMPLETED",
"SplitFromFlineId": null,
"FlineObjectVersionNumber": null,
"OrderedQuantity": null,
"FulfillOrgId": null,
"CarrierId": null,
"ShipClassOfService": null,
"ShipModeOfTransport": null,
"SupplierId": null,
"SupplierSiteId": null,
"DemandClassCode": null,
"FulfillInstanceId": null,
"DocumentTrackerId": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862142",
"name": "requests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862142",
"name": "requests",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862142/child/messageDetails",
"name": "messageDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862142/child/orderDetails",
"name": "orderDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862142/child/orderLineDetails",
"name": "orderLineDetails",
"kind": "collection"
}
]
},
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862143,
"ActionRequestTrackingId": 328722,
"FulfillLineId": 300100667446686,
"HeaderId": 300100667409552,
"MassActionFlag": false,
"OutcomeCode": "SUCCESS",
"StatusCode": "COMPLETE",
"SummaryMessageText": null,
"RequestStatus": "COMPLETED",
"SplitFromFlineId": null,
"FlineObjectVersionNumber": null,
"OrderedQuantity": null,
"FulfillOrgId": null,
"CarrierId": null,
"ShipClassOfService": null,
"ShipModeOfTransport": null,
"SupplierId": null,
"SupplierSiteId": null,
"DemandClassCode": null,
"FulfillInstanceId": null,
"DocumentTrackerId": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862143",
"name": "requests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862143",
"name": "requests",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862143/child/messageDetails",
"name": "messageDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862143/child/orderDetails",
"name": "orderDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862143/child/orderLineDetails",
"name": "orderLineDetails",
"kind": "collection"
}
]
},
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862144,
"ActionRequestTrackingId": 328722,
"FulfillLineId": 300100667446842,
"HeaderId": 300100667446782,
"MassActionFlag": false,
"OutcomeCode": "SUCCESS",
"StatusCode": "COMPLETE",
"SummaryMessageText": null,
"RequestStatus": "COMPLETED",
"SplitFromFlineId": null,
"FlineObjectVersionNumber": null,
"OrderedQuantity": null,
"FulfillOrgId": null,
"CarrierId": null,
"ShipClassOfService": null,
"ShipModeOfTransport": null,
"SupplierId": null,
"SupplierSiteId": null,
"DemandClassCode": null,
"FulfillInstanceId": null,
"DocumentTrackerId": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862144",
"name": "requests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862144",
"name": "requests",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862144/child/messageDetails",
"name": "messageDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862144/child/orderDetails",
"name": "orderDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862144/child/orderLineDetails",
"name": "orderLineDetails",
"kind": "collection"
}
]
},
{
"ActionCode": "ORA_FOM_APPLY_MANUAL_PRICE_ADJ",
"ActionRequestId": 300100669862145,
"ActionRequestTrackingId": 328722,
"FulfillLineId": 300100667447192,
"HeaderId": 300100667447097,
"MassActionFlag": false,
"OutcomeCode": "SUCCESS",
"StatusCode": "COMPLETE",
"SummaryMessageText": null,
"RequestStatus": "COMPLETED",
"SplitFromFlineId": null,
"FlineObjectVersionNumber": null,
"OrderedQuantity": null,
"FulfillOrgId": null,
"CarrierId": null,
"ShipClassOfService": null,
"ShipModeOfTransport": null,
"SupplierId": null,
"SupplierSiteId": null,
"DemandClassCode": null,
"FulfillInstanceId": null,
"DocumentTrackerId": null,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862145",
"name": "requests",
"kind": "item",
"properties": {
"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
}
},
{
"rel": "canonical",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862145",
"name": "requests",
"kind": "item"
},
{
"rel": "parent",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137",
"name": "salesOrderActionRequests",
"kind": "item"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862145/child/messageDetails",
"name": "messageDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862145/child/orderDetails",
"name": "orderDetails",
"kind": "collection"
},
{
"rel": "child",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests/300100669862145/child/orderLineDetails",
"name": "orderLineDetails",
"kind": "collection"
}
]
}
],
"count": 5,
"hasMore": false,
"limit": 25,
"offset": 0,
"links": [
{
"rel": "self",
"href": "https://servername/fscmRestApi/resources/version/salesOrderActionRequests/300100669862137/child/requests",
"name": "requests",
"kind": "collection"
}
]
}